// Spell checking dictionary for Mozilla Thunderbird
// Script written by rockstiff. Dictionary from openoffice.org

 const APP_DISPLAY_NAME    = "Latvian (LV) dictionary";
 const APP_NAME            = "spell-lv-LV";
 const APP_PACKAGE        = "dictionaries.mozdev.org/spell-lv-LV";
 const APP_VERSION        = "0.2"; 

var err = initInstall(APP_NAME, APP_PACKAGE, APP_VERSION);
if (err==SUCCESS) {

  // Copy files to Components/myspell
  var myspell_folder = getFolder("Components", "myspell");
   addFile(APP_NAME, "lv-LV.dic", myspell_folder, "");
   addFile(APP_NAME, "lv-LV.aff", myspell_folder, ""); 
   addFile(APP_NAME, "licence-lv_LV.txt", myspell_folder, ""); 

  err = performInstall();
  if(err == SUCCESS || err == 999) {
    alert(APP_DISPLAY_NAME+" (v "+APP_VERSION+") veiksmigi uzinstalets.\n");
  }
  else {
    alert("Installation failed. Error:" + err);
    cancelInstall(err);
  }

}
else {
  cancelInstall(err);
}

